/*
*********************************************************************************************************
*                                                uC/OS-II
*                                          The Real-Time Kernel
*
*                        (c) Copyright 1992-1998, Jean J. Labrosse, Plantation, FL
*                                           All Rights Reserved
*
*                                   Configuration for Intel 80x86 (Large)
*
* File : OS_CFG.H
* By   : Jean J. Labrosse
*********************************************************************************************************
*/

#ifdef  OS_CPU_GLOBALS
#define OS_CPU_EXT
#else
#define OS_CPU_EXT  extern
#endif

/*
*********************************************************************************************************
*                                               
*                                         
*********************************************************************************************************
*/

typedef unsigned char  BOOLEAN;
typedef unsigned char  INT8U;                    /* Unsigned  8 bit quantity                           */
typedef signed   char  INT8S;                    /* Signed    8 bit quantity                           */
typedef unsigned int   INT16U;                   /* Unsigned 16 bit quantity                           */
typedef signed   int   INT16S;                   /* Signed   16 bit quantity                           */
typedef unsigned long  INT32U;                   /* Unsigned 32 bit quantity                           */
typedef signed   long  INT32S;                   /* Signed   32 bit quantity                           */
typedef float          FP32;                     /* Single precision floating point                    */
typedef double         FP64;                     /* Double precision floating point                    */


typedef unsigned char   OS_STK;                  /* size of unit in stack                              */

/* 
*********************************************************************************************************
*                                           Close interrupt
*********************************************************************************************************
*/
/* Use The first method                                                                              */
#define  OS_ENTER_CRITICAL()  EA = 0                /* Disable interrupts                            */
#define  OS_EXIT_CRITICAL()   EA = 1                /* Enable  interrupts                            */

#define  OS_STK_GROWTH        0                     /* Define the growth type, 0 for low to high	*/
#define  OS_TASK_SW()         OSCtxSw()				/* Context switch in condition of not-interrupt */

/*
*********************************************************************************************************
*                                            about 51
*********************************************************************************************************
*/
#define CPU_MAX_STK_SIZE	0xF8	/* in small complie mode. max avilable RAM size is 0xF8 */

